/**
 入驻项目
 **/
(function (vc) {
    vc.extends({
        data: {
            serviceBindingInfo: {
                $step: {},
                index: 0,
                infos: []
            }
        },
        _initMethod: function () {
            vc.component._initStep();
        },
        _initEvent: function () {
            vc.on("serviceBinding", "notify", function (_info) {
                vc.component.serviceBindingInfo.infos[vc.component.serviceBindingInfo.index] = _info;
            });
        },
        methods: {
            _initStep: function () {
                vc.component.serviceBindingInfo.$step = $("#step");
                vc.component.serviceBindingInfo.$step.step({
                    index: 0,
                    time: 500,
                    title: ["选择应用", "选择服务", "扩展信息"]
                });
                vc.component.serviceBindingInfo.index = vc.component.serviceBindingInfo.$step.getIndex();
            },
            _prevStep: function () {
                vc.component.serviceBindingInfo.$step.prevStep();
                vc.component.serviceBindingInfo.index = vc.component.serviceBindingInfo.$step.getIndex();
                vc.emit('viewAppInfo', 'onIndex', vc.component.serviceBindingInfo.index);
                vc.emit('viewServiceInfo', 'onIndex', vc.component.serviceBindingInfo.index);
                vc.emit('addRouteView', 'onIndex', vc.component.serviceBindingInfo.index);
            },
            _nextStep: function () {
                var _currentData = vc.component.serviceBindingInfo.infos[vc.component.serviceBindingInfo.index];
                if (_currentData == null || _currentData == undefined) {
                    vc.toast("请选择或填写必选信息");
                    return;
                }
                vc.component.serviceBindingInfo.$step.nextStep();
                vc.component.serviceBindingInfo.index = vc.component.serviceBindingInfo.$step.getIndex();
                vc.emit('viewAppInfo', 'onIndex', vc.component.serviceBindingInfo.index);
                vc.emit('viewServiceInfo', 'onIndex', vc.component.serviceBindingInfo.index);
                vc.emit('addRouteView', 'onIndex', vc.component.serviceBindingInfo.index);
            },
            _finishStep: function () {
                var _currentData = vc.component.serviceBindingInfo.infos[vc.component.serviceBindingInfo.index];
                if (_currentData == null || _currentData == undefined) {
                    vc.toast("请选择或填写必选信息");
                    return;
                }
                var param = {
                    data: vc.component.serviceBindingInfo.infos
                }
                vc.http.apiPost(
                    '/service.bindingService',
                    JSON.stringify(param), {
                        emulateJSON: true
                    },
                    function (json, res) {
                        if (res.status == 200) {
                            vc.toast('处理成功');
                            //关闭model
                            //vc.jumpToPage("/#/pages/dev/serviceRegisterManage?" + vc.objToGetParam(JSON.parse(json)));
                            vc.goBack();
                            return;
                        }
                    },
                    function (errInfo, error) {
                        console.log('请求失败处理');
                        vc.toast(errInfo);
                    });
            }
        }
    });
})(window.vc);